2.21.0 (2026-01-26)
* New: Raised minimum PHP version requirement for FTP/SFTP feature
* New: Improved warning when filename value is invalid
* Fix: Private properties usage in FTP class
* Fix: Bulk export arguments for order refunds
* Translations: Update POT file template

2.20.0 (2026-01-19)
* New: Enable displaying language tabs for static files setting for WPML
* New: Filter hook to allow hiding cloud storage queue notice
* New: Credit Note Number column filter hook
* Fix: Fatal error in Cloud Storage queue when order object is missing
* Fix: Caching order in REST API requests
* Fix: Corrupted ZIP downloads in bulk export on Windows
* Translations: Update Spanish up to version 2.19.2
* Translations: Update POT file template

2.19.2 (2025-12-22)
* Fix: Unprefixed Google API interface in Strauss vendor build
* Updater: Bump to version 3.0.4
* Translations: Update POT file template

2.19.1 (2025-12-15)
* Fix: Prevent fatal error when multilingual class loads before Language Switcher
* Updater: Bump to version 3.0.3
* Translations: Update POT file template

2.19.0 (2025-12-10)
* New: Added Cloud Storage settings to Import/Export/Reset tools
* New: EDI Credit Note support (UBL syntax only)
* Tweak: Improved FTP connection test logic, field descriptions, and UI spacing in FTP settings
* Tweak: Improved Cloud Storage folder name description and nested paths display
* Fix: Dropbox PHP min version to 8.1
* Fix: Show revoke notice only when Cloud Storage is active
* Fix: Refresh token not being deleted during unlink process when requested
* Fix: Use null coalescing assignment to safely initialize class dependencies
* Fix: Improved loading of the `Language_Switcher` class to prevent early initialization errors
* Updater: Bump to version 3.0.2
* Translations: Update POT file template

2.18.3 (2025-11-28)
* Fix: Prevent fatal error caused by missing `Language_Switcher` class

2.18.2 (2025-11-28)
* Fix: Cloud service logo size in admin notice
* Fix: Dropbox authorization process when selecting a custom folder as the destination
* Fix: Cloud storage destination folders not saving correctly
* Fix: Prevent fatal error when re-including multilingual class files

2.18.1 (2025-11-26)
* Tweak: Replaced `libmergepdf` with an FPDI-based PDF merger to reduce plugin size
* Fix: Prevented type error in Cloud Storage when settings option returns a string
* Fix: Resolved namespace issue in Guzzle dependency functions file
* Fix: Disabled Composer platform check

2.18.0 (2025-11-26)
* New: Google Drive cloud service
* New: Removed the Pro tab from the plugin settings
* New: Added an option to include the credit note number and date in the Summary document
* Fix: Adds Summary document missing filters
* Fix: Prevent fatal error when attachment filter receives invalid data
* Updater: Bump to version 3.0.0
* Translations: Update POT file template
* Tested: Confirm compatibility with WooCommerce 10.4

2.17.3 (2025-11-06)
* Fix: When the WPML plugin is active, the static file attachments no longer appear in the General settings
* Fix: Handle `null` attachments in `attach_static_file()` to prevent fatal error

2.17.2 (2025-10-22)
* Fix: Remove `$object` type hint from `attach_static_file()` to allow mixed parameter

2.17.1 (2025-10-22)
* Fix: Prevent fatal error in `attach_static_file()` when no order object is available

2.17.0 (2025-10-21)
* New: Relocate Pro tab settings to other sections in preparation for removing this tab
* New: Add option to change page orientation in Bulk Export Invoice summary
* Refactor: Move `missing_template_files_notice()` function to the core plugin where it is more appropriate
* Tweak: Insert `enable_rest_api` before the last members in Advanced settings
* Fix: Bulk Export returning all Credit Note documents when no refund order is found
* Fix: Missing `Gdrive_API` class autoload in cloud storage
* Translations: Update POT file template
* Tested: Confirm compatibility with WooCommerce 10.3

2.16.10 (2025-08-11)
* Tweak: Replace deprecated functions `wcpdf_get_invoice()` and `wcpdf_get_packing_slip()` with `wcpdf_get_document()`
* Tweak: Updated documentation link for determining document language
* Fix: WPML translation for shipping and total labels in Simple template
* Translations: Update POT file template
* Tested: Confirm compatibility with WooCommerce 10.1

2.16.9 (2025-07-15)
* Fix: Restore Packing Slip PDF preview after Core v4.6.0 changes
* Fix: Ensure custom header labels translate in WPML bulk-generated PDFs
* Fix: TranslatePress tags showing in email PDF attachments
* Translations: Update POT file template

2.16.8 (2025-06-25)
* New: Add filter to bypass `trp_translate()` and fallback to our implementation
* Tweak: Update `save_numbers_dates()` to support the free plugin 4.6.0 argument change
* Tweak: Add backward compatibility for the upcoming E‑Documents refactoring (free plugin 5.0.0)
* Fix: Incorrect translations and broken PDF output on frontend/emails when using TranslatePress
* Fix: Translate Woo order item meta data with TranslatePress
* Fix: Add support for translated text in new shop address fields
* Translations: Update POT file template
* Tested: Confirm compatibility with WooCommerce 10.0

2.16.7 (2025-05-27)
* Fix: Document order item names were shown in the default language instead of the determined language
* Fix: Colon character printed when VAT/COC label is empty, instead of the default labels
* Fix: Added unique name to `pll_register_string()` call
* Translations: Updated POT file template
* Tested: Confirmed compatibility with WooCommerce 9.9

2.16.6 (2025-05-20)
* New: Add new Shop Address translatable fields
* Tweak: Improved the display of customer data in plugin emails, along with various minor enhancements
* Fix: Polylang issue when attempt to read property "slug" on string in `pll_languages_list()` loop
* Fix: Ensure order item names in PDF are translated with Polylang
* Translations: Updated POT file template

2.16.5 (2025-05-05)
* New: Added setting to display documents with zero taxes
* Fix: Prevent error by checking if `PLL_Model::get_languages_list()` returns `false`
* Fix: Call to undefined Bulk Document method `get_setting()`
* Fix: Fatal error in `credit_notes_order_ids()` by checking if the refund object exists before calling `get_id()`
* Fix: Added fallback to `wpml_object_id` when it returns `null`
* Fix: Improved i18n support on the REST API Docs page
* Fix: Added document object check in `generate_credit_note_on_refund()` to avoid errors
* Translations: Updated Spanish, Italian, Brazilian Portuguese, German, and French
* Translations: Updated POT file template

2.16.4 (2025-04-08)
* New: Set document `lang` attribute based on multilingual language
* New: Use `translate()` as fallback in `maybe_get_string_translation()`function
* Fix: PDF language issue when user locale differs from order language
* Fix: Ensure default premium templates headers are translated
* Fix: Added missing translator comments for several translatable strings
* Fix: Corrected text domain in some translatable strings
* Translations: Updated Italian and Brazilian Portuguese translations
* Translations: Updated the template (POT)
* Tested: Confirmed compatibility with WooCommerce 9.8

2.16.3 (2025-03-20)
* Fix: PDF filename not displaying the correct multilingual value
* Fix: Pro document URLs on My Account page
* Translations: Updated the template (POT)

2.16.2 (2025-03-17)
* Fix: Resolved an issue where order item names were not being translated with TranslatePress

2.16.1 (2025-03-10)
* Fix: string placeholder issue

2.16.0 (2025-03-10)
* New: Added full multilingual TranslatePress support
* New: Enhanced multilingual implementation
* New: Introduced `is_enabled()` method to Summary document class
* Tweak: Removed filters for custom query variables
* Fix: Corrected style of document number/date settings fields
* Translations: Updated the template (POT)
* Tested: Confirmed compatibility with WooCommerce 9.7

2.15.13 (2025-01-21)
* New: REST API endpoint to download documents
* New: Filter hook `wpo_wcpdf_allow_document_generation_on_order_status`
* Tweak: Updated the updater version to v2.1.6
* Tweak: Apply `wpo_wcpdf_settings_fields_documents_{$this->type}_pdf` before checking the emptiness of the `$settings_fields`
* Fix: Incorrect date title text on Summary of Invoices
* Fix: Fatal error when retrieving orders with multiple refunds
* Fix: Bulk Export users filter not working
* Fix: Summary document `$output_formats` dynamic property warning
* Tested: Confirmed compatibility with WooCommerce 9.6

2.15.12 (2024-12-16)
* New: Bumped the minimum required PHP version to 7.4
* New: Added setting categories for Pro documents
* New: Added filters for `address_replacements()` and `make_replacements()`
* New: Added an "N/A" option for the document settings payment method condition
* New: Introduced the `wpo_wcpdf_export_bulk_document` filter hook
* Tweak: Attempted to strip the protocol from the host in (S)FTP connections
* Tweak: Updated the updater version to v2.1.5
* Fix: Prevented WooPayment MultiCurrency error
* Fix: Resolved an issue where Summary Bulk Export was not working
* Translations: Updated the template (POT)
* Tested: Confirmed compatibility with WooCommerce 9.5

2.15.11 (2024-10-14)
* New: REST API for documents.
* New: Add support for mPDF in template files by including missing changes.
* New: SFTP library updated.
* New: Settings to customize the COC and VAT labels.
* New: Setting to display Proforma number.
* Tweak: Clean up outdated Due Date code.
* Tweak: Update Pro document title functions and hook names.
* Tweak: Remove the Due Date Base Date from Invoice settings.
* Tweak: Change the position of the filter `wpo_wcpdf_export_bulk_order_ids` to after date sorting.
* Fix: Undefined variable `$sent_to_admin` in plugin emails.
* Fix: Load plugin translations later in the `init` hook.
* Fix: Remove legacy mentions of `WooCommerce_PDF_Invoices` class.
* Fix: Fatal error on Credit Note when using WooPayments plugin.
* Fix: PHP warning in Receipt template file.
* Fix: Call to PLL in the global namespace.
* Fix: Saved static files not displayed in multilingual sites using Polylang.
* Translations: Updated template (POT).
* Tested: Marked as compatible with WooCommerce 9.4.

2.15.10 (2024-06-18)
* New: allow shop logo to be translatable
* New: adds `woocommerce-pdf-invoices-packing-slips` as required plugin
* Tweak: improvements in the updater loading
* Tweak: checks country or state get method before calling under `make_replacements()`
* Tweak: eliminated the internal `Order_Util` class and replaced it with the core plugin class
* Fix: removes invoice payment email empty file
* Fix: bug on language not reloading using WPML
* Fix: adds limit to Bulk Export orders query args
* Translations: updated template (POT)
* Marked tested up to WooCommerce 9.0

2.15.9 (2024-04-23)
* Fix: bug on `upload_document()` method which consumes unwanted document numbers
* Fix: bug with the Bulk Export returning erratic number of documents when using Document date
* Translations: updated template (POT)

2.15.8 (2024-04-15)
* New: bumps min PHP version to 7.2
* New: includes UBL documents in Cloud Storage option for upload by order status
* Tweak: multilingual table labels
* Tweak: improves number initiation based on core recent changes
* Tweak: applied changes to meta queries when calling `wc_get_orders`
* Tweak: `add_summary_to_bulk_export_documents()` hook replacement
* Tweak: replaces the Pro license cache system with the core plugin system
* Fix: tax name translation string issue with WPML
* Fix: force document generation on `upload_document()`
* Fix: issue with My Account PDF rendering with Translatepress
* Fix: mPDF footer issues in Pro document templates
* Fix: issue with Credit Notes not being exported on "Refunded" status in Bulk Export
* Fix: Prevent the use of cached document for summary invoice
* Fix: fatal error when using WebToffee WooCommerce Gift Cards plugin
* Fix: update Pro settings page hooks based on recent core changes
* Fix: bug in Credit Note triggered by SUMO Reward Points plugin
* Translations: updated template (POT)
* Marked tested up to WooCommerce 8.8

2.15.7 (2024-02-05)
* New: adds a custom link to the plugin row meta
* Tweak: replaces the Bulk Export cache from `transient` to `option`
* Tweak: make status filter of Bulk Export required
* Fix: default translation when using multilingual HTML class
* Fix: added missing translation string in `de_DE` file
* Translations: updated template (POT)

2.15.6 (2024-01-11)
* New: admin notice & advanced tool for possible affected orders by the version `2.15.4` issue
* Fix: bug trying to call `get_order_lang()` on `bool`
* Fix: reverts the code to the previous version (`2.15.4`) but without the invoice payment gateway feature

2.15.5 (2024-01-10)
* Fix: reverts the code to the previous version (`2.15.3`) due to an issue with the invoice payment gateway in version `2.15.4`

2.15.4 (2024-01-09)
* New: Invoice payment gateway
* Tweak: improves the Packing Slip "Hide products" option
* Fix: bug in the `display_payment_link` method
* Fix: set the "My Account download" default value for the receipt document
* Fix: adds missing parameter to `wpo_wcpdf_custom_attachment_condition` hook
* Fix: bulk export summary bug
* Fix: bug in Bulk Export not respecting the "Only existing documents" and "Skip free" settings
* Fix: check the emptiness of Payment Date in Receipt template file
* Translations: updated template (POT)
* Marked tested up to WooCommerce 8.5

2.15.3 (2023-12-15)
* New: PKCE authorization for Dropbox
* New: display CoC and VAT numbers in Invoice with document setting
* Fix: UBL Invoice document filename extension issue
* Translations: updated German (Germany, Casual tone)
* Translations: updated German (Germany, Formal tone)
* Translations: updated template (POT)
* Marked tested up to WooCommerce 8.4

2.15.2 (2023-12-04)
* New: adds extra features to the Invoice due date
* Fix: fatal error on `get_order_lang()` function when activating the plugin
* Tweak: update deprecated document methods `get_invoice_number` and `invoice_number`
* Tweak: updates the number/date/title document functions in the template files, following recent updates on base plugin
* Tweak: bumps base plugin minimum version to `3.7.3`
* Translations: updated template (POT)

2.15.1 (2023-11-08)
* New: adds the PDF archive directory to the list write permissions in Advanced Status
* Tweak: updated the missing template file notice message
* Fix: hook parameter of Summary template in Bulk Export
* Fix: Bulk Export empty ZIP file issue
* Marked tested up to WooCommerce 8.3 & WordPress 6.4

2.15.0 (2023-11-01)
* New: Receipt document
* New: PDF HTML translation support for third party multilingual plugins
* Fix: UBL compatibility
* Fix: updates Pro attachment functions to support the latest UBL changes in free plugin
* Fix: bug on display packing slip number setting not working
* Tweak: hide Packing Slip next number setting when displaying order number
* Translations: Updated French, Portuguese, Spanish & template (POT)
* Translations: fix i18n issues

2.14.6 (2023-09-05)
* New: plugin license cache system
* New: added a user filter to the Bulk Export
* New: display Packing Slip number setting
* Tweak: improves styles and descriptions for the Pro documents Number format setting
* Fix `-1` bug when using Sidekick plugin
* Fix: notice plugin activation URL
* Fix: fatal error on calling Dropbox API method `getAccesstoken()` on `null`
* Fix: PHP warning while trying to unlink file from Cloud API. Improved error logging.

2.14.5 (2023-08-24)
* Fix: updates the order emails action filter hook
* Fix: bug when trying consecutive failed requests to get Dropbox credentials
* Fix: PHP bug on converting false to array

2.14.4 (2023-08-17)
* New: adds support for Pro settings reset tool
* New: Credit Note number search on order list on a document setting
* Fix: bug on preview for non existing Packing Slip when show number or date option is enabled
* Fix: replaces `utf8_decode()` function which is deprecated in PHP 8.2
* Fix: PHP 8.2 dynamic property deprecated warnings
* Fix: double minus/negative sign before the discount row for Credit Notes
* Tweak: adds missing `public` to some functions 
* Tweak: imposes license activation for new Dropbox API authorizations
* Updated updater to 2.1.4
* Marked tested up to WooCommerce 8.0 & WordPress 6.3

2.14.3 (2023-06-22)
* New: filter hooks `wpo_wcpdf_can_generate_credit_note_on_refund` and `wpo_wcpdf_show_myaccount_credit_note_button`
* Tweak: rename classes and hook names for the Bulk Export Summary document
* Fix: Guzzle dependency bug
* Fix: persistent admin notice on plugin update
* Fix: bug on log Credit Note generation to order notes
* Marked tested up to WooCommerce 7.8

2.14.2 (2023-05-16)
* New: log document creation on order status change and refunds
* Marked tested up to WooCommerce 7.7

2.14.1 (2023-04-17)
* Fix: bug when storing PDF in archive
* Fix: added extra validation for Invoice and refund when generating Bulk Credit Notes

2.14.0 (2023-04-10)
* New: cloud storage upload for multiple status per document
* New: WooCommerce HPOS compatibility (beta)
* New: adds Pro settings to the import/export tool
* Tweak: activate Free PDF plugin in one step
* Tweak: display Packing Slip data fields in order before document is created
* Fix: changes Pro tab settings are not reflected in the preview
* Fix: PHP fatal error on array_diff checking queued files
* Marked tested up to WooCommerce 7.6 & WordPress 6.2

2.13.8 (2023-02-02)
* Fix: allow to save the unchecked value for the 'Display customer notes' setting
* Fix: bug on Bulk Export when providing a file path by filter
* Marked tested up to WooCommerce 7.3

2.13.7 (2022-12-30)
* Fix: bug on number sequence for Pro documents

2.13.6 (2022-12-22)
* New: updates the edit next number option callback & init number functions for Pro documents

2.13.5 (2022-12-14)
* Fix: bug on trying to get the order ID on array in static file attachment function when using Polylang

2.13.4 (2022-11-11)
* Fix: errors on address format replacements

2.13.3 (2022-11-10)
* Fix: bug on address format custom placeholder replacement

2.13.2 (2022-11-08)
* Fix: fatal error on missing compatibility class which was removed on previous version

2.13.1 (2022-11-08)
* New: adds Polylang support for static files and multilingual support to addresses format feature
* Tweak: remove compatibility class and bump WC minimum version to 3.0
* Tweak: replaced old title instances with the new title
* Fix: ignore bundle containers when hiding virtual/downloadable products
* Fix: translation strings in Summary document
* Tested up to (and compatible with) WooCommerce 7.1 & WordPress 6.1

2.13.0 (2022-09-28)
* New: summary of invoices bulk export document
* New: expandable "Disable for" setting
* New: add action hooks before and after the shop logo: `wpo_wcpdf_before_shop_logo`& `wpo_wcpdf_after_shop_logo`
* New: replaces shipping address setting checkbox with selector
* New: action hooks before/after creating PDF file for cloud storage: `wpo_wcpdf_cloud_storage_before_creating_pdf_file` & `wpo_wcpdf_cloud_storage_after_creating_pdf_file`
* Tweak: updated languages POT file
* Tweak: enhance dependencies notices
* Tweak: updates the network admin url
* Translations: updated French
* Fix: check order type for Credit Note if using parent data
* Fix: don't require local root path access for FTP
* Fix: PHP8.1 compatibility (deprecated `FILTER_SANITIZE_STRING`) 
* Fix: in bulk export settings, change "Order Date" to "Refund date" if Credit Note is selected
* Fix: escape query args for urls
* Fix: mistranslated string in Spanish translations 
* Updated updater to 2.1.3
* Marked tested up to WooCommerce 6.9

2.12.1 (2022-05-09)
* Translations: Updated Portuguese
* Marked tested up to WooCommerce 6.5

2.12.0 (2022-03-17)
* New: Setting to change the labels for the document number & date
* New: hook to prevent uploading files to the cloud (wpo_wcpdf_custom_cloud_service_allow_upload)
* UI: Fill in the document icon sheet with white

2.11.2 (2022-03-07)
* Tweak: improved styling for static file uploads
* Translations: Updated Spanish, Dutch & template (POT)
* Updated updater to 2.1.2
* Marked tested up to WooCommerce 6.3

2.11.1 (2022-02-17)
* Fix: duplicate invoice numbers being generated when the setting "Create automatically for" was overlapping with attachments for order status emails
* Templates: New action hook before the document label (`wpo_wcpdf_before_document_label`)
* Development: several layout & integration tweaks for upcoming PDF preview functionality
* Marked tested up to WooCommerce 6.2

2.11.0 (2022-01-31)
* New: Setting to auto-generate document for selected order status(es)
* New: "Disable for" setting for the packing slip document
* New: more detailed error logging during bulk export
* Fix: More reliable check for custom templates missing Proforma and Credit Notes
* Fix: Allow non-historical text settings when using WPML
* Fix: Support for child order documents other than Credit Note
* Fix: Added a missing document init hook in Pro document abstract
* Templates: Updated Proforma & Credit Note template with new hooks & functions (Simple)
* Tested up to (and compatible with) WooCommerce 6.1 & WordPress 5.9

2.10.1 (2021-12-08)
* New: Root folder setting for FTP upload
* Fix: Various improvements/fixes to the FTP/SFTP upload & connection test
* Fix: Remove unused tightenco/collect package 
* Translations: Updated French
* Updated bundled updater to 2.1.1

2.10.0 (2021-10-27)
* New: Allow license activation directly via bundled updater (optional)
* New: SFTP/FTP upload option for cloud synchronization
* Fix: Notices on legacy WPML/Polylang document settings translations
* Fix: Dropbox connection on staging sites using LocalWP
* Fix: Select refunds by refund date instead of order date when bulk exporting Credit Notes
* Fix: Settings scripts not loading on sites with branded or translated plugin name for "WooCommerce"
* Tweak: Reduce database calls for Keep PDF feature
* Tweak: Delete temporary file after cloud upload
* Translations: Improved internationalization of the plugin
* Translations: Updated Spanish, Portuguese & French
* Tested up to (and compatible with) WooCommerce 5.9

2.9.2 (2021-08-05)
* New: Show warning if filename is not unique
* Fix: don't add cloud bulk actions if not enabled

2.9.1 (2021-07-29)
* Fix: Fallback for servers without the PHP intl extension
* Tweak: Add the prefix 'item-' to the default PDF order items class

2.9.0 (2021-07-26)
* New: Support for refresh tokens for Dropbox (long lived access tokens will be deprecated from September 30, 2021)
* New: filter to increase bulk export chunk size
* New: Add cloud service bulk actions for all documents
* Tweak: Use document date instead of upload date for Dropbox folder structure
* Fix: prevent notice for incorrectly registered languages
* Fix: remove deprecated jQuery

2.8.0 (2021-05-25)
* New: Option to configure document language for non-multilingual setups
* New: Filter for custom date type in bulk export (wpo_wcpdf_export_bulk_date_type_options)
* Fix: export ordering when using date type other than order date
* Translations: Added Spanish, Brazilian Portuguese & French
* Translations: Updated translation template and bundled translations
* Tested up to (and compatible with) WooCommerce 5.4

2.7.4 (2021-04-13)
* Fix: From date option missing in bulk export (ZIP)
* Fix: jQuery deprecation notices
* Hooks: allow overriding credit note button visibility (wpo_wcpdf_show_credit_note_button)
* Hooks: programmatically trigger cloud upload (wpo_wcpdf_cloud_storage_upload_document)
* Translations: Added Portuguese

2.7.3 (2021-02-05)
* New: WPML & Polylang support for Custom Blocks (Premium Templates)
* Fix: Dropbox error on PHP 7.2.5 or lower
* Fix: Errors on bulk export page when ZipArchive library is not installed
* Fix: Error in invoice number column for orders with multiple refunds but no credit note for all of them
* Fix: Keep PDF on server for orders with multiple refunds but no credit note for all of them
* Fix: Width of totals in Proforma Invoice and Credit Note when using the Simple template
* Tested up to (and compatible with) WooCommerce 5.0

2.7.2 (2020-12-23)
* Fix: Failsafe for sites using PHP5.6 
* Tweak: Allow dismissing the Cloud Storage notice for incompatible PHP versions

2.7.1 (2020-12-21)
* Fix: Plugin conflicts when different versions of Guzzle are used by other plugins (Mollie, WooCommerce Bookings)
* Fix: WPML shipping method title language changed when generating PDF in a language different from the order language

2.7.0 (2020-11-23)
* New: Added user interface messages for bulk export errors
* New: Order refunded trigger for Order Notification email
* New: Refactored Dropbox integration
* New: Setting to enable/disable customer notes on Proforma Invoice
* New: Redesigned document icons
* Fix: Fatal error when using "Empty body" setting on Order Notication email in combination with WP5.5
* Fix: Update third party libraries such as Guzzle
* Fix: prevent errors during mass plugin updates (when WooCommerce is temporarily unavailable)
* Tweak: Moved Dropbox authentication notices inside settings tab for better visibility
* Translations: Added Formal Dutch
* Tested up to (and compatible with) WooCommerce 4.8 & WordPress 5.6

2.6.6 (2020-09-07)
* Fix: Positive prices setting for credit notes with WooCommerce 4.4
* Fix: Namespace declaration errors
* Tweak: Don't show 'Download Zip' button if PHP ZipArchive not found (showing inline error)
* Translations: Updated German
* Tested up to (and compatible with) WooCommerce 4.5

2.6.5 (2020-08-18)
* Feature: WPML & Polylang language setting extended to specific languages
* Fix: WPML loading country name in incorrect language when overriding order language
* Fix: WPML translated settings always in order language (when overriding order language)
* Fix: WPML language getting 'stuck' on bulk export
* Fix: duplicate order notification sending on specific email configurations
* Fix: Product deprecation notices
* Tested up to (and compatible with) WooCommerce 4.4 & WordPress 5.5

2.6.4 (2020-07-15)
* Fix: Updated vendor libraries for Dropbox integration
* Fix: 'remove empty lines' in custom address formatting when placeholder only contains whitespace
* Fix: Spanish translation for template notice
* Tested up to (and compatible with) WooCommerce 4.3

2.6.3 (2020-06-23)
* New: Setting to show packing slip in My Account
* Fix: WPML & Polylang force translations reloading when user language is not site default
* Fix: Polylang Product names translation
* Translations: Updated POT & Dutch

2.6.2 (2020-06-02)
* New: Setting to send Order Notification with empty email body (for emailing PDF to printers)
* New: Hook to add custom triggers for Order Notification email
* Tweak: Bulk export "Only existing documents" option enabled by default
* Tweak: Sanitize custom filename overrides for archived PDF files
* Changed: Archived document regeneration now works with buttons from free base plugin
* Compatibility: Order Notification email sending for WooCommerce Order Proposal statuses
* Tested up to (and compatible with) WooCommerce 4.2

2.6.1 (2020-04-27)
* Fix: Compatibility with Subscription renewal orders for Order Notification email
* Fix: Reset per-order settings when regenerating stored PDF file
* Fix: Translation for static text column in Polylang
* Changed: shorter my account button text ("Credit Note" instead of "Download Credit Note (PDF)")
* Changed: wpo_wcpdf_filename_archived_pdf filter arguments
* Tweak: Reduced plugin filesize, removing unnecessary font files
* Translations: Updated Dutch

2.6.0 (2020-04-14)
* Feature: Option to keep PDF files on the server instead of on-the-fly generation
* Dev: Filter for WPML & Polylang to allow force reloading translations

2.5.1 (2020-03-23)
* Fix: Syntax error on older PHP versions

2.5.0 (2020-03-23)
* Feature: Option to hide virtual and downloadable products on packing slip
* Fix: Customizer label translations in Polylang
* Improved: WPML & Polylang compatibility for custom textdomains
* Tested with WP5.4 and WooCommerce 4.0

2.4.1 (2020-01-21)
* Fix: WPSearch compatibility - prevent fetching number on bulk document
* Fix: WooCommerce German Market compatibility (Credit Note totals)
* Fix: Disable credit note functionality for unreadable orders
* Translations: Updated POT file
* Tested up to (and compatible with) WooCommerce 3.9

2.4.0 (2019-12-02)
* Feature: Setting to use order date for Proforma & Credit Note dates
* Fix: only apply wpo_wcpdf_custom_attachment_condition filter for order emails in static file attachment
* Translations: Updated Spanish (Nota de Abono is now Factura Rectificativa by default)

2.3.0 (2019-10-31)
* Feature: Option to bulk export by document date (instead of order date)
* Feature: Use original order details for fully refunded orders with incomplete refund data
* Fix: Set Premium Templates defaults for credit note & proforma during first installation
* Fix: Properly log errors when server doesn't allow ZIP creation (for bulk export)
* Fix: WooCommerce Email Control compatibility
* Dev: Filter for number store of Pro Documents
* Tested with WP5.3 and WooCommerce 3.8

2.2.20 (2019-10-10)
* Feature: Added setting to disable proforma for specific order statuses
* Dev: Allow overriding recipient address of Order Notification via filter

2.2.19 (2019-09-23)
* Fix: Packing Slip numbers errors
* Fix: WPML issue when deactivating/activating plugin
* Tweak: Show notices when Dropbox activation fails
* Dev: Allow hooking into bulk zip download process

2.2.18 (2019-08-26)
* Fix: Invoice attachments for refund emails

2.2.17 (2019-08-20)
* Fix: Credit note attachment to refunded email for WooCommerce 3.7
* Fix: Bulk download without allowing popup
* Fix: Automatically convert slashes in folder names for Dropbox

2.2.16 (2019-08-12)
* Fix: Credit note filenames when not using credit notes numbering
* Feature: Filter for credit note order IDs

2.2.15 (2019-06-24)
* Feature: single refund email attachments for WooCommerce 3.7
* Feature: WPML Media Translation for static file attachments
* Feature: {{document_date}} placeholder for filenames
* Feature: {{date_completed}} and {{date_paid}} placeholders for custom blocks

2.2.14 (2019-04-29)
* Fix: Bulk export Credit Notes with "only existing" option enabled
* Dev: Filter for packing slip number store
* Dev: Added woocommerce_email_enabled_ filters to emails
* Marked tested up to WooCommerce 3.6

2.2.13 (2019-03-25)
* Fix: Load correct translations when admin user profile language is set to different locale
* Fix: Static attachment for partially refunded order email
* Feature: Enable WPML media translation for header logo

2.2.12 (2019-03-11)
* Fix: Billing or shipping address showing 'view' when empty in some instances
* Fix: Prevent crash when trying to show non-existing original invoice number in credit note
* Fix: Updated email action hooks

2.2.11 (2019-01-23)
* Feature: Improved facilities for third party plugins to hook into bulk actions
* Fix: Notices when Polylang is installed but not fully setup yet
* Tweak: Only autoload dropbox when enabled

2.2.10 (2018-12-04)
* Fix: Prevent polylang errors when languages have not been setup yet
* Fix: Document exist check with version 2.2.5 of free core plugin
* Translations: Added Slovak

2.2.9 (2018-10-18)
* Feature: Option to always use the latest settings for Proforma Invoices & Credit Notes
* Fix: prevent direct loading of template files

2.2.8 (2018-10-10)
* Feature: Document settings are now saved per order - changing settings after a PDF has been created will no longer affect the output
* Feature: Button to remove documents
* Fix: WPML & Polylang theme translations reloading
* Fix: Polylang error when no locale found for order
* Fix: Error handling for ZIP downloads
* Fix: Base plugin check for Dropbox
* Tweak: remove unit tests from vendor libraries

2.2.7 (2018-09-10)
* Fix: PHP 5.6 compatibility

2.2.6 (2018-09-10)
* Feature: 3rd party documents in dropbox upload by status list
* Fix: packing slip date when changing to attaching status via order details page
* Dev: Added actions and filters to make bulk export more flexible
* Updated vendor libraries for Dropbox (guzzle/symfony/tightenco)

2.2.5 (2018-07-23)
* Fix: Broken my account buttons when using `wpo_wcpdf_process_order_ids` filter to remove documents
* Updated spanish translations

2.2.4 (2018-04-22)
* Feature: Template action hooks before & after addresses
* Fix: Improve thickbox unloading for dropbox queue
* Tested up to WooCommerce 3.4

2.2.3 (2018-04-11)
* Feature: bulk export option to export only existing documents and/or skip free orders
* Fix: WPML date localization
* Fix: Polylang user profile language override
* Fix: Only show credit note button when there's also an invoice
* Tweak: improved filters for dropbox upload paths

2.2.2 (2018-02-27)
* Feature: Added placeholders for usage in filename settings: {{order_status}}, {{order_date}}, {{order_time}}, {{order_total}}
* Translations: Updated German (Important: Gutschrift is now Rechnungskorrektur by default!)
* Tweak: Address customization now also uses double accolades instead of square brackes for placeholders (old settings still work too)
* Fix: Add classmap to autoloader
* Fix: Use absolute paths for plugin class includes
* Fix: Remove stray '>' in hour edit field
* Fix: improved file headers for zip downloading

2.2.1 (2018-01-31)
* Fix: issue when packing slip date was not initiated/read correctly

2.2.0 (2018-01-29)
* Feature: Setting to change document names & filenames
* Feature: Packing slip numbers & dates
* Feature: Bulk export to ZIP
* Feature: WPML setting to switch between site language and customer language for PDF (sitewide)
* Feature: My Account settings for Proforma
* Fix: WPML refund tax label registration
* Fix: Textdomain for some Pro strings
* Fix: PHP7.1 notice for Dropbox extension
* Templates: Use title getter instead of string

2.1.1 (2017-11-21)
* Fix: Only show Dropbox bulk actions if Dropbox is enabled
* Fix: Check for credit note existence (fixes deleted refunds issues)
* Fix: Prevent accessing order properties as meta
* Fix: WPML tax labels for credit notes
* Fix: Only save document numbers & dates when edited

2.1.0 (2017-09-18)
* Feature: Upload your PDF invoices automatically to Dropbox! THe full functionality of the former Dropbox extension has been merged into the Professional extension.

2.0.3 (2017-09-05)
* Fix: Order notification email header & subject
* Fix: Backend error reading/changing proforma & credit note dates
* Fix: WC2.6 Compatibility for tax strings in Simple Credit Note
* Fix: Correct dutch translation for Credit Note = Creditnota
* Fix: Attachment of Credit Note to Partial refund email
* Tweak: Auto enable Credit Notes upon install

2.0.2 (2017-07-25)
* Fix: only attach credit note when there is an invoice for the order
* Fix: prevent save actions on refund that has just been deleted
* Fix: apply custom proforma & credit note number filters
* UI: better number & date editing interface

2.0.1 (2017-07-18)
* **Big compatibility update for 2.0 of main plugin**
* Document settings are now split over separate pages
* Improved document number reliability
* Improved WPML & Polylang integration
* Fix: Taxes for Credit Notes in Simple template

1.5.2 (2017-04-12)
* Fix: Refund parent order date (credit note number parameters)
* Updated compatibility classes
* Translations: Updated Italian

1.5.1 (2017-03-29)
* Fix: Emails enabled in Email settings

1.5.0 (2017-03-28)
* WooCommerce 3.0 compatible
* **Requires PHP version 5.3 or higher**
* Fix: global plugin object loading in wrapped cron methods
* Fix: WPML - remove deprecated lang URL parameter

1.4.7 (2017-02-08)
* Feature: new template action hooks wpo_wcpdf_before_document & wpo_wcpdf_after_document
* Fix: Improved Polylang & WPML compatibility
* Fix: IE/Edge hour pattern for proforma & credit note date
* Translations: Added Slovenian

1.4.6 (2016-10-10)
* Fix: Credit Note & Proforma time pattern
* Fix: Polylang credit note email translations
* Fix: positive credit notes setting (WC 2.6)
* Allow partially refunded attachment (same email with two different ids)
* Translations: Added Norwegian

1.4.5 (2016-07-05)
* Feature: Polylang integration
* Feature: Allow line breaks in custom fields (setting)
* Fix: WC2.6 Packing Slip quantities for refunded orders
* Translations: Added formal German

1.4.4 (2016-04-12)
* Fix: WPML Credit note language (using original order language setting now)
* Translations: Updated French & POT

1.4.3 (2016-02-25)
* Feature: Allow order language filtering - wpo_wcpdf_wpml_language (WPML)
* Fix: Credit note numbers when using main invoice numbering
* Fix: WPML language on thank you page (when sending invoice directly)
* Translations: Updated German
* Translations: define text domain in plugin headers

1.4.2 (2015-11-11)
* Feature: Option to show original invoice number on credit note

1.4.1 (2015-10-20)
* Fix: Warning when free version is not activated

1.4.0 (2015-10-19)
* WPML Compatibility: Settings strings translations can/should now be entered directly in the regular plugin settings
* Fix: Several WPML related issues
* Feature: option to send order notification to customer

1.3.9 (2015-08-27)
* Feature: Setting to disable proforma invoices entirely
* Fix: Proforma & invoice date functions fixed for credit notes
* Fix: Workaround for bug in WPML
* Tweak: Formatted proforma & credit note numbers are now also stored
* Tweak: Filter to control static file attachment (wpo_wcpdf_custom_attachment_condition)
* Translations: updated German

1.3.8 (2015-07-09)
* Fix: Line breaks for WPML string translation
* Fix: php notice for missing proforma hour & minute from date
* Tweak: WPML compatibility filter
* Translations: Added swedish

1.3.7 (2015-05-28)
* Feature: Setting to use positive prices on Credit Notes - recommended for all German users!
* Feature: Edit proforma numbers & dates
* Templates: Better address checks
* Tweak: php filenames changed (fixes fatal errors in specific php/server configurations)
* Tweak: checks to show proforma numbers in credit notes (only for custom templates)
* Translations: Updated POT & Dutch
* Translations: Added Italian

1.3.6 (2015-03-31)
* Feature: Before & after item meta actions in Simple template
* Tweak: added sku & weight classes to Simple template 

1.3.5 (2015-03-23)
* Feature: Updated simple template to work with new template settings for alternative address, email & phone
* Feature: several new template actions
* Feature: update proof alternative translations (place them in wp-content/languages/plugins/)
* Feature: Credit note number shown in order list (in the invoice number column)
* Feature: Option to automatically send credit note email when status is set to refunded
* Tweak: Better address replacements + automatically remove empty lines (setting)
* Translations: updated POT and Dutch
* Fix: WooCommerce version variable

1.3.4 (2015-02-12)
* Fix: Initialize default settings after install

1.3.3 (2015-02-12)
* Fix: order notification emails for 'Order processing' trigger

1.3.2 (2015-02-02)
* Fix: German translation error
* Fix: line breaks between static file upload fields

1.3.1 (2015-01-29)
* Feature: Catch email result and add custom action `wpo_wcpdf_pro_email_sent`

1.3.0 (2015-01-27)
* Feature: Separate order notification email (with or without PDF documents) can now be send to emails you specify at a specific order status
* Feature: Attach up to 3 static files
* Feature: Option to subtract refunded quantities from packing slip (requires version 1.5.3 of main plugin)
* Translations: Updated POT & Dutch (user contributed translations are very welcome!)

1.2.1 (2015-01-15)
* Feature: WPML language parameter in URLs
* Fix: Reset text domain for pro translations (for WPML)
* Translations: Added German

1.2.0 (2014-11-24)
* Fix: WPML language switcher
* Fix: static file attachments
* Feature: Added credit note email type (customize to your needs by copying to your (child) theme, look at your theme's invoice email for inspiration)
* My Account buttons for Proforma Invoices & Credit Notes
* Extended the attachment options to include credit notes

1.1.0 (2014-11-07)
* Disable credit note functions for WC2.1 and older (to avoid crashes)
* Add credit note button in order list for refunded orders
* Sync Simple template updates
* Option to hide WP Overnight Sidekick notice